

%%
%%%calculations%%%


for n=1:61
[DFAobj,DFA_exp] = doDFA(nonzeros(CTET(:,n)),[2 60],[1 length(nonzeros(CTET(:,n)))],0.5);  
DFA(:,n)=DFA_exp;    
AvRT(:,n)=mean(nonzeros(CTET(:,n)));
end   
[rho,pval] = corrcoef(DFA',AvRT)
CTETstats=[rho,pval]
%%
figure
scatter ( DFA',AvRT,25,'k','fill')
    xlabel('DFA of reaction times [2 60]','Fontsize',10)
  ylabel('performance [ms] ')
  title(['correlation between DFA of performance and reactiontime'],'Fontsize',14)
[rho,pval] = corrcoef(DFA',AvRT)
  lsline
B=pval(1,2)
R=rho(1,2)
TeXString = texlabel(['p=',num2str(B)]);
text(0.8,450,TeXString)
TeXString2 = texlabel(['R^2=',num2str(R)]);
text(0.8,430,TeXString2)


