
%%%%%%%%%%%%%%%%%%%%%%%%% C group  %%%%%%%%%%%%%%%%%%%%%
%calculations

for n=1:45
AvRTCON(:,n)=mean(nonzeros(CTETCON(:,n)));    
[DFAobj,DFA_exp] = doDFA(nonzeros(CTETCON(:,n)),[2 60],[1 length(nonzeros(CTETCON(:,n)))],0.5);
DFACON(:,n)=DFA_exp;
end

  
%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%   B    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%calculations
for n=1:22
AvRTB(:,n)=mean(nonzeros(CTETB(:,n)));    
[DFAobj,DFA_exp] = doDFA(nonzeros(CTETB(:,n)),[2 60],[1 length(nonzeros(CTETB(:,n)))],0.5,0);
DFAB(:,n)=DFA_exp;
end


%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%% A group %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%calculations

for n=1:20
AvRTA(:,n)=mean(nonzeros(CTETA(:,n)));    
[DFAobj,DFA_exp] = doDFA(nonzeros(CTETA(:,n)),[2 60],[1 length(nonzeros(CTETA(:,n)))],0.5);
DFAA(:,n)=DFA_exp;
end

%%
% stats
[h,P,CI,stats] = ttest2(DFAA,DFAB)
[h,P,CI,stats] = ttest2(AvRTA,AvRTB)

%averages
StatsA(:,1)=mean(AvRTA)    
StatsB(:,1)=mean(AvRTB) 
StatsCON(:,1)=mean(AvRTCON)
StatsA(2,1)=std(AvRTA)    
StatsB(2,1)=std(AvRTB) 
StatsCON(2,1)=std(AvRTCON)
StatsA(3,1)=mean(DFAA)    
StatsB(3,1)=mean(DFAB) 
StatsCON(3,1)=mean(DFACON)
StatsA(4,1)=std(DFAA)    
StatsB(4,1)=std(DFAB) 
StatsCON(4,1)=std(DFACON)


%%
%calculations all groups together for correlation analysis with
%reactiontime

CTETtogether=[CTETA,CTETB,CTETCON]
AvRTtogether=[AvRTA,AvRTB,AvRTCON]
DFAtogether=[DFAA,DFAB,DFACON]


%%
%statistics
[rho,pval] = corrcoef(DFAtogether',AvRTtogether)


%%
%scatterplot
figure
scatter ( DFAtogether',AvRTtogether,25,'k','fill')
    xlabel('DFA of reactiontimes [2 60]','Fontsize',10)
  ylabel('raverage eaction time')
 % axis([0.54 0.77 700 2700])
  title(['correlation between DFA of performance and reactiontime'],'Fontsize',14)
%  set(gca,'TickLength',[.02 .02])
[rho,pval] = corrcoef(DFAtogether',AvRTtogether)
  lsline
B=pval(1,2)
R=rho(1,2)
TeXString = texlabel(['p=',num2str(B)]);
text(0.8,550,TeXString)
TeXString2 = texlabel(['R^2=',num2str(R)]);
text(0.8,600,TeXString2)


 